Page MenuHomePhabricator

[Sparc] Use addAliasForDirective to support data directives
ClosedPublic

Authored by asb on May 17 2018, 12:48 AM.

Details

Reviewers
venkatra
jyknight
Summary

The Sparc asm parser currently has custom parsing logic for .half, .word, .nword and .xword. Rather than use this custom logic, we can just use addAliasForDirective to enable the reuse of AsmParser::parseDirectiveValue.

Diff Detail

Event Timeline

asb created this revision.May 17 2018, 12:48 AM
jyknight accepted this revision.May 21 2018, 9:05 AM
This revision is now accepted and ready to land.May 21 2018, 9:05 AM
asb closed this revision.May 23 2018, 4:26 AM

Committed in https://reviews.llvm.org/rL333078 (apologies, I forgot the "Differential Revision:" tag)